Devuan bug report logs - #81
shutdown does not unmount usb hard drive properly - drive will not remount at boot without fsck first

Package: sysvinit-core; Reported by: Michael Knoop <mknoop01@mail.com>;
Date: Tue, 23 May 2017 17:03:02 UTC;
Done: KatolaZ <katolaz@freaknet.org>;
Maintainer for sysvinit-core is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#81; Package sysvinit-core. Full text available.



Acknowledgement sent to Michael Knoop <mknoop01@mail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at submit@bugs.devuan.org:

Received: (at submit) by bugs.devuan.org; 23 May 2017 16:50:09 +0000
Return-Path: <mknoop01@mail.com>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Tue, 23 May 2017 18:50:09 +0200 (CEST)
Received: from mout.gmx.com (mout.gmx.com [74.208.4.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id CE89D18D5B1
	for <submit@bugs.devuan.org>; Tue, 23 May 2017 16:47:23 +0000 (UTC)
Received: from [192.168.1.79] ([162.237.28.76]) by mail.gmx.com (mrgmxus002
 [74.208.5.15]) with ESMTPSA (Nemesis) id 0Ln7sJ-1dsL0G2XLJ-00hQvz for
 <submit@bugs.devuan.org>; Tue, 23 May 2017 18:47:21 +0200
To: submit@bugs.devuan.org
From: Michael Knoop <mknoop01@mail.com>
Subject: shutdown does not unmount usb hard drive properly - drive will not
 remount at boot without fsck first
Message-ID: <f969a9af-56c5-24a1-769a-5511675244ee@mail.com>
Date: Tue, 23 May 2017 11:47:29 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.1.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Provags-ID: V03:K0:ijTL+x8Y0nZCBqVedA72+VGFuAPege9dEb4uQe8u4gD/qdjNeg5
 7rE7nv+NTeFlwlsrJ3fiki2V4jAK9ryXtQbSpyCcKO9psAOMy/nIbtmRU53ewNOGsc6KTcw
 RyAWBichIIWymmpChLWqiM7pPEeV8q5ydZOO1uGHbTe6hAq53PbX98MaNSCFKmW66L5yuPn
 dHDEwmk4t9uOHA74aHRLg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:nF3YhjgZMWo=:qm6gK2xCNOa2oj8mVZIOoW
 DJsg6JPs5QFIC8X1PvVAIUQsw+2atJCc+G7K0+BtW17lIMT1PwePKnj8K9JKvAvOKvxZRVRV0
 P3XitNTPHjeNC0LU6p3cG5ShvulAsM0Kh9zhSEh8OFzgy4ueK0rSSzO9rByBd0MhH9FKONydd
 UiqSlU4gmBydOUkPfrdf3N2SWwx7KPdzUBY8Jegxy6nxQ7tPaOHlAUxFcc3wzQGNliq1m2MPC
 tURgb20uwg3/qGS3y+eWE/8tcVDWV8TytdEAiodfkUwwu5r6pTuifgXsJk668QvCcLk4qTPPT
 B7apIjz49QGSB63icAIshaHaLH+ttlPWTQDLlRrRdhcxC8XPcZcCK2KQSEj5QUzx6e+nLBCsE
 yIT0Q4vWwSdHiX8pgyGqNRwFChUyD3vIbyfT0U5RSQ8JuprBRgiyhMiOlY6Rvq4/hziFjIaRk
 OSeMum5cgkmZq/6nRm6xF2yh6fspcSnWj+S4W/e58fpikShlhpWXjlwAp8pMDrhZaE7i7jZ4u
 7yFpfrHBjRAizV/w/xrlYZPaQHUioY0p0LnjFScIhHFOoDKlBchgBpMpvKQJF0Doylx+2fIRV
 8d0UPFeIs2c9zqS13moyLpMV57OarpjR93fRTGFp/eXCM3coubqE3eGlulw0E+XZzQPZI0TtW
 FZjs9nlZPhOLmWxTfHRrZ/+lBeICYh5xkOWCytTOulP+qgx/2gStaxWVHezUTW4JD4BxwvEsn
 YCqa9mDKA3ruHtCW4iZ/umE5xOTMsaovTDwh+YC8yTQJxefbo2GJk1ATbe2uQgw7RtFkJvfEv
 jU7hTIw
X-Spam-Status: No, score=-3.2 required=5.0 tests=FREEMAIL_ENVFROM_END_DIGIT,
	FREEMAIL_FROM,RCVD_IN_DNSWL_LOW,RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled
	version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

Package: sysvinit-core
Version: 2.88dsf-59.2+devuan2

After I execute a shutdown, the next boot does not mount the usb drive 
partition even though it is in the fstab.

The /var/log/messages file shows:

May 23 11:07:37 devuan kernel: [  414.245986] FAT-fs (sda1): Volume was 
not properly unmounted. Some data may be corrupt. Please run fsck.

When I fsck the partition I get the following output:

pi@devuan:~$ sudo fsck -V /dev/sda1
[sudo] password for pi:
fsck from util-linux 2.25.2
[/sbin/fsck.vfat (1) -- /media/pi/E915-F57C] fsck.vfat /dev/sda1
fsck.fat 3.0.27 (2014-11-12)
0x41: Dirty bit is set. Fs was not properly unmounted and some data may 
be corrupt.
1) Remove dirty bit
2) No action
? 1
Got 12726272 bytes instead of 122036412 at 122060800

It happens like this every single time I shutdown and reboot.


I am using the devuan version for raspberry pi 3.

Linux devuan 4.6.3-gb48d47a #1 SMP Thu Oct 13 00:34:22 CEST 2016 aarch64 
GNU/Linux

I downloaded the img file from 
https://files.devuan.org/devuan_jessie/embedded/ on 5/21/2017.

I ran sudo apt-get update and upgrade after installation on the 
raspberry pi 3.


If you need more information, or if I need to contact someone else about 
this, then please let me know.

Thanks you.






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#81; Package sysvinit-core. Full text available.



Acknowledgement sent to Michael Knoop <mknoop01@mail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 81@bugs.devuan.org:

Received: (at 81) by bugs.devuan.org; 24 May 2017 17:20:03 +0000
Return-Path: <mknoop01@mail.com>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Wed, 24 May 2017 19:20:03 +0200 (CEST)
Received: from mout.gmx.com (mout.gmx.com [74.208.4.201])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 8F227188DCC
	for <81@bugs.devuan.org>; Wed, 24 May 2017 17:11:26 +0000 (UTC)
Received: from [192.168.1.79] ([162.237.28.76]) by mail.gmx.com (mrgmxus002
 [74.208.5.15]) with ESMTPSA (Nemesis) id 0LwrCo-1e22nE0rwO-016Mcb for
 <81@bugs.devuan.org>; Wed, 24 May 2017 19:11:24 +0200
To: 81@bugs.devuan.org
From: Michael Knoop <mknoop01@mail.com>
Subject: Please close this bug report
Message-ID: <25cadeaa-40b7-0e0d-800c-ba2066674e68@mail.com>
Date: Wed, 24 May 2017 12:11:33 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.1.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Provags-ID: V03:K0:nnM/kOUkzRL9zSSeaEvxLham99eraT7xbWyS4+i5Mb8j717TOaU
 FLVqBci5wgdfFsFNlVzuZe8t0VuwsusCidTpahKIzywlkriaZNQn0KtRADzTTgo1fUTAj8D
 ks4S4AoQW2pyik8Z1uT02/hf+QmooLkX3P+MOsHoWcvoygJgFwLh35WszcM/DODlmRq/eRe
 9XIQUSidfd39okRR+cn4Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:JP4ZvDRSpvg=:ZH9yaghQoZUjGPrkjM+e6D
 wLSAQ09o1elcFonEaTzyGaorQksjoKQQyVlbEemEcd04JSXEXIFx9dTp4RDWlKXjd5RVxoRLn
 36lc+7slEQsM8K4KwKnxb/V53JZNhBbteahVjq6ttonImkARct4PxbPKBrJ271MVbLMNljkQ9
 XoZcT7mA+A+LSxYlNnjV+VlkGaZSUharWNduaECUrYp4lCY9teDEtPwb905/3ALE18Y3j4+y6
 WxDUZaEyGEoXjMGoXSOY4gzUE4m6IMmeXXioRT/ndV0H2GvacjxJTPx65yTtnktceXjqb+KKV
 msWeHCNxcuPhuvWGecaGEjvFk+NgynqgaT+5L29TJ+a56hRiUipWTutDpetOgwzcTMCDZ74gw
 ckw7JlQZqHbbxjygifuOT60+j/zcdcUTtVGY1f5nMIcS9M2KvYUxRHh3ywSaMvyl33UgbPQGO
 83rKkZwhHm22jy2xKTNU+dYrLYl4mHYbvpJbFf98M0USahweVAfcHZmoHaMd2TyXyIFiltQG1
 sN6sWsJkRDMzl/R4cL44ddmhKNFM5dL1O4CvQUw65eKd3FZPV9h1aXzjGm0rODpgchJpsAhqn
 2g/Qe5qhFi3q1vtnvyjWb9FqprMeeXQrSEj/q5nlXQTT7RSgZmkTi6rbjBR14eJDraPNcOxNb
 YYJh2c2Yv+a/v9FVLEQjphlxkGhOi5PCYqb5pNA2T5AARTfnrSRVhuzgcwr5zQnXQZ7ARhNhB
 ELTw6u59h6jGMiPsGsAl+rxNM1bbyvI7302/LZAT4AgLDxE6qn1miSG+IEyy3XY3z/8bAy1dS
 HJA7/7e
X-Spam-Status: No, score=-3.2 required=5.0 tests=FREEMAIL_ENVFROM_END_DIGIT,
	FREEMAIL_FROM,RCVD_IN_DNSWL_LOW,RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled
	version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

It appears that the problem was with fsck.  It did not remove the dirty 
bit even though that option was selected.  I ran it with the -a option 
and now it is fixed.  I still cannot get the partition to mount at boot, 
but that is some other problem.

My apologies for the confusion.






Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#81; Package sysvinit-core. Full text available.



Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 81@bugs.devuan.org:

Received: (at 81) by bugs.devuan.org; 24 May 2017 18:10:04 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Wed, 24 May 2017 20:10:04 +0200 (CEST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id E83DF18DBAC
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=freaknet.org; s=mail;
	t=1495649286; bh=xGAjtL45SFWj3PZh9Fjmt/wD3UDEgQksWws2znXPLG4=;
	h=Date:From:To:Subject:From;
	b=Vk+Sd9bCA4fqhmyPWSpPRhu77OdhHy4Qd+6x98ekOl7CrX9D7QwWUlTArxrYzXoF8
	 ZJU/smLYs/fz1u19QQj+T5qFJROwniWbrBzw8PdjZU/iB+zfUgaFJQtbSBchfyk6Pe
	 bXyimKTr+TwYDz2Gp3iIzpL6jF8YPWlM9h0ewv6o=
Date: Wed, 24 May 2017 19:08:08 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 81@bugs.devuan.org
Subject: fixed
Message-ID: <20170524180808.GJ14814@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

Hi,

no need to apologise. Better filing a bug report, even if you are
unsure whether the bug is there, than avoiding to file one, even if
you are sure the bug is there ;)

Thanks.





Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. Full text available.



Notification sent to Michael Knoop <mknoop01@mail.com>:
bug acknowledged by developer. Full text available.



Message received at 81-close@bugs.devuan.org:

Received: (at 81-close) by bugs.devuan.org; 24 May 2017 18:10:04 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Wed, 24 May 2017 20:10:04 +0200 (CEST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 739F718DBAC
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=freaknet.org; s=mail;
	t=1495649323; bh=HWmyO+kjIg/nkVToSYOT5Yt3cYTyhjcu/azewSAPtnc=;
	h=Date:From:To:Subject:From;
	b=T8hZruEyOJ2N99YpYAUW6N7DmI24SwgJSP0K9+m9yrvMWNMNlLXdB+pter7cNjyBT
	 W13nqRXY1SzKQsqwF/WbvUKHxtfQGQrX/twFZLHb8P7q+sBZkRHV2LkoxlCJckwl91
	 qJHEA7ivF50Mo85FJ9EMGhYdjVJX1hbiPPgD54Sg=
Date: Wed, 24 May 2017 19:08:44 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 81-close@bugs.devuan.org
Subject: fixed
Message-ID: <20170524180844.GK14814@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

closed





Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 27 Jun 2017 12:19:32 UTC